<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>D&D Registration</title>
</head>
<body>
    <header>
        <h1>Welcome to the D&D Registration Form</h1>
    </header>


    <form action="handle_form.php" method="POST">
        <!-- First Name Field -->
        <label for="first_name">First Name:</label>
        <input type="text" id="first_name" name="first_name"><br><br>
        
        <!-- Last Name Field -->
        <label for="last_name">Last Name:</label>
        <input type="text" id="last_name" name="last_name"><br><br>

        <!-- Email Field -->
        <label for="email">Email:</label>
        <input type="text" id="email" name="email"><br><br>

        <!-- Gender Radio Buttons -->
        <label>Gender:</label>
        <input type="radio" id="male" name="gender" value="Male">
        <label for="male">Male</label>
        <input type="radio" id="female" name="gender" value="Female">
        <label for="female">Female</label><br><br>

        <!-- Availability to Start Playing Immediately -->
        <label>Are you available to start playing immediately?</label><br>
        <input type="radio" id="available_yes" name="available" value="Yes">
        <label for="available_yes">Yes</label><br>
        <input type="radio" id="available_no" name="available" value="No">
        <label for="available_no">No</label><br><br>
        
        <!-- Playing Experience Checkboxes -->
        <label>Years of Playing Experience:</label><br>
        <input type="checkbox" name="experience[]" value="Never Played">Never Played<br>
        <input type="checkbox" name="experience[]" value="0-2 years">0 up to 2 years<br>
        <input type="checkbox" name="experience[]" value="2-4 years">2 years up to 4 years<br>
        <input type="checkbox" name="experience[]" value="4+ years">4 years or more<br><br>

        <!-- Preferred Species Checkboxes -->
        <label>Preferred Species:</label><br>
        <input type="checkbox" name="species[]" value="Dragonborn">Dragonborn<br>
        <input type="checkbox" name="species[]" value="Dwarf">Dwarf<br>
        <input type="checkbox" name="species[]" value="Elf">Elf<br>
        <input type="checkbox" name="species[]" value="Firbolg">Firbolg<br>
        <input type="checkbox" name="species[]" value="Gnome">Gnome<br>
        <input type="checkbox" name="species[]" value="Goliath">Goliath<br>
        <input type="checkbox" name="species[]" value="Halfling">Halfling<br>
        <input type="checkbox" name="species[]" value="Human">Human<br><br>

        <!-- Preferred Class Checkboxes -->
        <label>Preferred Class:</label><br>
        <input type="checkbox" name="class[]" value="Barbarian">Barbarian<br>
        <input type="checkbox" name="class[]" value="Bard">Bard<br>
        <input type="checkbox" name="class[]" value="Cleric">Cleric<br>
        <input type="checkbox" name="class[]" value="Druid">Druid<br>
        <input type="checkbox" name="class[]" value="Fighter">Fighter<br>
        <input type="checkbox" name="class[]" value="Monk">Monk<br>
        <input type="checkbox" name="class[]" value="Paladin">Paladin<br>
        <input type="checkbox" name="class[]" value="Ranger">Ranger<br>
        <input type="checkbox" name="class[]" value="Rogue">Rogue<br>
        <input type="checkbox" name="class[]" value="Sorcerer">Sorcerer<br>
        <input type="checkbox" name="class[]" value="Warlock">Warlock<br>
        <input type="checkbox" name="class[]" value="Wizard">Wizard<br><br>

        <!-- Date Dropdown using PHP Array -->
        <label>Date of Birth?:</label><br>
        <?php
        $months = array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
        echo "<select name='month'>";
        foreach($months as $month) {
            echo "<option value='$month'>$month</option>";
        }
        echo "</select>";

        echo "<select name='day'>";
        for($i=1; $i<=31; $i++) {
            echo "<option value='$i'>$i</option>";
        }
        echo "</select>";

        echo "<select name='year'>";
        for($i=1900; $i<=2024; $i++) {
            echo "<option value='$i'>$i</option>";
        }
        ?>
        </select><br><br>

        <!-- Additional Comments Field -->
        <label for="comments">Add any additional comments:</label><br>
        <textarea id="comments" name="comments" rows="4" cols="50"></textarea><br><br>

        <!-- Submit Button -->
        <input type="submit" value="Register">
    </form>

    <p>&copy; 2024 D&D Campaign Registration</p>
</footer>
</body>
</html>